/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TTolbarFactory_h_
#define _TTolbarFactory_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
// "Фабрика" для создания кнопок панели инструментов
class TToolbarFactory : public ToolbarItemFactory
{
public:
    TToolbarFactory();
    ~TToolbarFactory();

    // Идентификаторы создаваемых кнопок
    enum TToolbarItemID
    {
        FileNew = 1,
        FileOpen = 2,
        FileQuit = 3,
        ViewOrientation = 4
    };

    // Задаёт идентификаторы кнопок
    void getAllToolbarItemIds(Array<int>&);
    // Задаёт набор кнопок панели инструментов 
    void getDefaultItemSet(Array<int>&);
    // Создаёт элемент панели инструментов
    ToolbarItemComponent* createItem(int);

    // Кнопка "Выход"
    ToolbarButton* pFileQuitButton;
    // Кнопка "Новый"
    ToolbarButton* pFileNewButton;
    // Кнопка "Открыть"
    ToolbarButton* pFileOpenButton;
    // Кнопка "Ориентация"
    ToolbarButton* pViewOrientationButton;

private:
    // Изображения - пиктограммы кнопок
    Image ImageExit_png;
    Image ImageNew_png;
    Image ImageOpen_png;
    Image ImageSwitch_png;
};
//---------------------------------------------------------------------
#endif

